> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Product Book

> Get a list of bids/asks for a single product. The amount of detail shown can be customized with the limit parameter.



## OpenAPI

````yaml GET /api/v3/brokerage/market/product_book
openapi: 3.1.0
info:
  title: Coinbase Advanced Trade API
  version: '0.1'
servers:
  - url: https://api.coinbase.com
security:
  - ApiKey: []
  - OAuth2: []
paths:
  /api/v3/brokerage/market/product_book:
    get:
      tags:
        - Public
      summary: Get Public Product Book
      description: >-
        Get a list of bids/asks for a single product. The amount of detail shown
        can be customized with the limit parameter.
      operationId: RetailBrokerageApi_GetPublicProductBook
      parameters:
        - name: product_id
          description: The trading pair (e.g. 'BTC-USD').
          in: query
          required: true
          schema:
            type: string
        - name: limit
          description: 'The number of bid/asks to be returned. '
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: aggregation_price_increment
          description: >-
            The minimum price intervals at which buy and sell orders are grouped
            or combined in the order book.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetProductBookResponse
            text/event-stream:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.GetProductBookResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
            text/event-stream:
              schema:
                $ref: '#/components/schemas/grpc.gateway.runtime.Error'
      security: []
components:
  schemas:
    coinbase.public_api.authed.retail_brokerage_api.GetProductBookResponse:
      type: object
      properties:
        pricebook:
          required:
            - pricebook
          allOf:
            - $ref: >-
                #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.PriceBook
        last:
          type: string
        mid_market:
          type: string
        spread_bps:
          type: string
        spread_absolute:
          type: string
      required:
        - pricebook
    grpc.gateway.runtime.Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            type: object
            additionalProperties: true
    coinbase.public_api.authed.retail_brokerage_api.PriceBook:
      type: object
      properties:
        product_id:
          type: string
          example: BTC-USD
          description: The trading pair (e.g. 'BTC-USD').
          required:
            - product_id
        bids:
          type: array
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.L2Level
          required:
            - bids
        asks:
          type: array
          items:
            $ref: >-
              #/components/schemas/coinbase.public_api.authed.retail_brokerage_api.L2Level
          required:
            - asks
        time:
          type: string
          format: RFC3339 Timestamp
      required:
        - product_id
        - bids
        - asks
    coinbase.public_api.authed.retail_brokerage_api.L2Level:
      type: object
      properties:
        price:
          type: string
        size:
          type: string
  securitySchemes:
    ApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        A bearer token signed using your API Key Secret, see [Creating API
        Keys](/coinbase-app/authentication-authorization/api-key-authentication)
        section of our docs for more information. See [Scope &
        Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        permission each endpoint requires.
    OAuth2:
      type: oauth2
      description: >-
        An OAuth 2.0 access token from the Coinbase App OAuth2 flow. See [Scope
        & Permissions](/coinbase-app/advanced-trade-apis/rest-scopes) for the
        scope each endpoint requires.
      flows:
        authorizationCode:
          authorizationUrl: https://login.coinbase.com/oauth2/auth
          tokenUrl: https://login.coinbase.com/oauth2/token
          scopes:
            wallet:user:read: View your account information.
            wallet:user:update: Update your account information.
            wallet:accounts:read: View your accounts.
            wallet:buys:create: Place, edit, and cancel orders.
            wallet:trades:read: View your cryptocurrency conversions.
            wallet:trades:create: Convert cryptocurrencies.
            wallet:transactions:read: View your transactions.
            wallet:transactions:transfer: Transfer funds between accounts.
            wallet:payment-methods:read: View your payment methods.

````